/*****************************************************************************\
* (c) Copyright 2000-2018 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
#pragma once

#include <cmath>
#include <iostream>
#include <vector>

#include "../TaggingClassifierTMVA.h"

/* @brief OSKaon_Data_Run2_All_Bu2JpsiK_XGBoost_BDT_v2r0 BDT.
 */
class OSKaon_Data_Run2_All_Bu2JpsiK_XGBoost_BDT_v2r0 : public TaggingClassifierTMVA {

public:
  double GetMvaValue( const std::vector<double>& featureValues ) const override;

private:
  double evaluateEnsemble( const std::vector<double>& featureValues ) const;

  /* @brief sigmoid transformation */
  double sigmoid( double value ) const;
};
