/*****************************************************************************\
* (c) Copyright 2000-2018 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/

{
  gROOT->ProcessLine( ".L GlobalPID.C+" );
  const double GeV( 1000 );

  // make a new pid object
  GlobalPID* pid = new GlobalPID();

  // Combined DLL (retuned)
  pid->configReset();
  pid->config.recreateCombinedDLLs = true;
  pid->config.title                = "Electron ID : Acceptance Effects";
  pid->config.minCut               = -15;
  pid->config.maxCut               = 15;
  pid->config.minP                 = 2 * GeV;
  pid->config.maxP                 = 10 * GeV;
  pid->config.minPt                = 0 * GeV;
  pid->config.maxPt                = 100 * GeV;
  pid->config.minMisIDeff          = 0.1;
  pid->config.idType               = GlobalPID::Electron;
  pid->config.misidType            = GlobalPID::Pion;
  pid->config.var1                 = GlobalPID::combDLLe;
  pid->config.var2                 = GlobalPID::combDLLpi;
  pid->config.trackType            = GlobalPID::Long;
  pid->config.mustHaveECALorPRS    = true;
  pid->config.logY                 = true;
  pid->config.color                = kBlack;
  pid->config.superImpose          = false;
  // create the plot
  pid->makeCurve( nTracks );

  // Combined DLL (retuned)
  pid->configReset();
  pid->config.recreateCombinedDLLs    = true;
  pid->config.minCut                  = -15;
  pid->config.maxCut                  = 15;
  pid->config.minP                    = 2 * GeV;
  pid->config.maxP                    = 10 * GeV;
  pid->config.minPt                   = 0 * GeV;
  pid->config.maxPt                   = 100 * GeV;
  pid->config.idType                  = GlobalPID::Electron;
  pid->config.misidType               = GlobalPID::Pion;
  pid->config.var1                    = GlobalPID::combDLLe;
  pid->config.var2                    = GlobalPID::combDLLpi;
  pid->config.trackType               = GlobalPID::Long;
  pid->config.mustHaveECALorPRSorRICH = true;
  pid->config.logY                    = true;
  pid->config.color                   = kRed;
  pid->config.superImpose             = true;
  // create the plot
  pid->makeCurve( nTracks );

  // save the figures
  pid->saveFigures();
}
