/*****************************************************************************\
* (c) Copyright 2000-2018 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/

{
  gROOT->ProcessLine( ".L GlobalPID.C+" );
  const double GeV( 1000 );

  // make a new pid object
  GlobalPID* pid = new GlobalPID( dataFile );

  // K-pi RICH
  pid->configReset();
  pid->config.title           = "Kaon ID : RICH V Combined DLL";
  pid->config.minP            = 2 * GeV;
  pid->config.maxP            = 100 * GeV;
  pid->config.minPt           = 0.5 * GeV;
  pid->config.maxPt           = 100 * GeV;
  pid->config.idType          = GlobalPID::Kaon;
  pid->config.misidType       = GlobalPID::Pion;
  pid->config.var1            = GlobalPID::richDLLk;
  pid->config.var2            = GlobalPID::richDLLpi;
  pid->config.trackType       = GlobalPID::Long;
  pid->config.mustHaveAnyRICH = true;
  pid->config.superImpose     = false;
  pid->config.color           = kBlue;
  pid->config.logY            = true;
  // create the plot
  pid->makeCurve( nTracks );

  // K-pi combined
  pid->configReset();
  pid->config.minP            = 2 * GeV;
  pid->config.maxP            = 100 * GeV;
  pid->config.minPt           = 0.5 * GeV;
  pid->config.maxPt           = 100 * GeV;
  pid->config.idType          = GlobalPID::Kaon;
  pid->config.misidType       = GlobalPID::Pion;
  pid->config.var1            = GlobalPID::combDLLk;
  pid->config.var2            = GlobalPID::combDLLpi;
  pid->config.trackType       = GlobalPID::Long;
  pid->config.mustHaveAnyRICH = true;
  pid->config.superImpose     = true;
  pid->config.color           = kBlack;
  pid->config.logY            = true;
  // create the plot
  pid->makeCurve( nTracks );

  // save the figures
  pid->saveFigures();

  // cleanup
  delete pid;
}
