

2019-07-21 Rec v30r5
===

This version uses Lbcom v30r5, LHCb v50r5, Gaudi v32r1 and LCG_96 with ROOT 6.18.00
<p>
This version is released on `master` branch.

Built relative to Rec v30r4, with the following changes:

### New features

- Add the flag fromPV to PrChecker, !1617 (@mengzhen)

- Support Gaudi::Algorithm as functor owners, !1616 (@apearce)

- readd prfilter_v1, !1612 (@nnolte)

- Add v1 to v2 Track converter, !1603 (@apearce)

- Add information needed for heavy flavor efficiency studies to PrTrackerDumper, !1595 (@thboettc)

- Add an interface for PrVeloUTMagnetTool to allow it to be used outside for Pr/PrVeloUT, !1571 (@raaij)

- Allow existing binary file dumpers to function as Producer for Allen, !1554 (@raaij)

- Added TrackParametrizedExtrapolator, !1546 (@mlucioma)

- Add new C++ functors that work a little differently to the existing LoKi ones, !1541 (@olupton)


### Enhancements

- Switch VeloClusterTrackingSIMD to avx256, improve hit removal, !1627 (@ahennequ)
  Depends on https://gitlab.cern.ch/lhcb/LHCb/merge_requests/2031

- Misc. optimisations to SIMDQuarticPhotonReco, !1626 (@jonrob)
  Relies on lhcb/LHCb!2030

- RichDetailedTrSegMakerFromTracks : Minor overhaul to improve CPU performance, !1609 (@jonrob)

- Support SIMD/POD containers and vectorised selections in new functors, !1601 (@olupton)
  Goes with LHCb!2004 and Brunel!830.

- TrackSTEPExtrapolator - Modest CPU optimisation, !1597 (@jonrob)

- RichRecUtils/QuarticSolverNewton.h - More optimisations, !1583 (@jonrob)

- PrTrackerDumper2: Avoid unneccessary memory allocations, !1578 (@graven)

- Rich DetectablePhotonYields - Better tuned vector reserve size, other minor optimisations., !1574 (@jonrob)

- Rich QuarticSolverNewton - Use new SIMD type traits, and templated inline if (iff), !1573 (@jonrob)
  Requires lhcb/LHCb!1983

- RICH - Small optimisation of likelihood log(exp(x)-1) function., !1567 (@jonrob)

- QuarticSolverNewton - Cleanup replacing SFINAE with constexpr if, and small performance optimisation, !1566 (@jonrob)

- Minor changes to support alternative SIMD abstraction layers (e.g. ve) in the RICH, !1535 (@jonrob)
  Associated LHCb MR lhcb/LHCb!1932

- moved SIMD HLT1 sequence to SoA POD event model, !1532 (@sponce)
  Depends on LHCb!1913


### Thread safety

- Workaround for caching in TrackStateProvider, !1584 (@rmatev) [LHCBPS-1835]


### Bug fixes

- Divide chi2 by ndof in VeloKalman, !1600 (@ahennequ)

- Add to RecConf package dependencies to CaloFuture packages to RecConf package, !1593 (@cattanem)

- Fix clang-error, !1572 (@graven)
  Fixes:
  error: 'gTk' in capture list does not name a variable
  error: reference to local binding 'gTk' declared in enclosing function 'Rich::Future::Rec::GlobalPID::SIMDLikelihoodMinimiser::initBestLogLikelihood'
  error: 'gTkDLLs' in capture list does not name a variable
  error: reference to local binding 'gTkDLLs' declared in enclosing function 'Rich::Future::Rec::GlobalPID::SIMDLikelihoodMinimiser::initBestLogLikelihood'

- Fix propagation of uncertainties in MuonMatch, !1562 (@mramospe)

- update to avoid segfault in PixelTracking for searching at different minZ/maxZ..., !1550 (@rquaglia)


### Code modernisations and cleanups

- Remove double printout of counters following gaudi/Gaudi!943, !1632 (@cattanem)

- Switch to GAUDI_LOOP_UNROLL, !1620 (@jonrob)

- Modified VeloClusterTrackingSIMD to use of Functional Condition Accessors, !1619 (@bcouturi)

- Rich : Use MsgCounter instances, !1618 (@jonrob)
  Requires lhcb/LHCb!2018

- Remove Run1/2 Calo sequences from GlobalReco Configuration, !1615 (@cattanem)
  - Remove also the unnecessary Future Prs and Spd Info algorithms

- Use conditions to access VPGeometry in VeloClusterTrackingSIMD, !1614 (@ahennequ)

- Remove AddVeloInfo, !1613 (@cattanem)

- Remove Velo/VeloRecMonitors package (moved to Vetra), !1610 (@cattanem)
  See Vetra!30

- Moved VPTrackingInfo to VPDet, !1608 (@ldufour)
  Requires lhcb/LHCb!2008

- PrChecker: add toolhandles for loki factory and histotool, !1606 (@nnolte)

- Fixes to MuonMatchVeloUTSoA, !1605 (@mramospe)
  . Fix SetQOverP mode of the MuonMatchVeloUTSoA algorithm and reorganize code after Rec!1532.
  . Allow to set the momentum bounds in the configuration.

- Remove HltMonitors, !1604 (@cattanem)

- Remove CaloFutureExtraDigits, !1596 (@aszabels)

- follow changes to ICaloFutureHypoTool in lhcb/LHCb!2001, !1591 (@graven)

- Modernize CaloFutureSelector, !1589 (@graven)
  * prefer inheritance from extends
  * prefer inherited constructors
  * prefer STL algortihms over raw loops

- Modernize FutureCellularAutomatonAlg, !1585 (@graven)
  * use Gaudi::Functional to (also) access conditions database objects

- fix unused variable warnings from clang, !1581 (@cattanem)

- Set some compiler flags only for gcc as they are not known to clang, !1580 (@cattanem)

- remove use of boost::assign, !1579 (@graven)

- Modernize CaloFuture, !1577 (@graven)
  * follow changes in match interface -- no need to add std::optional around a type which has a recognizable invalid state
  * put tools/algorithms in namespace Calo::Future
  * prefer ToolHandles
  * remove use of redundant  futuredetails::to_string
  * prefer free-standing functions over member functions which do not interact with their hosting class
  * remove some unused code
  * prefer std::is_base_of_v<...> over std::is_base_of<...>::value
  * prefer STL algorithms over raw loops

  Must be applied in conjunction with lhcb/LHCb!1990

- Follow changes in lhcb/LHCb!1988, !1576 (@graven)


- Follow-up on lhcb/Rec!1556, !1569 (@graven)
  * avoid some calls to updateHandleLocation now that `context()`
    is no longer used, and thus there is no reason to delay
    the initialization of the handles
  * migrate to ToolHandle in a few places
  * add a mutex around the usage of some thead-unsafe, tools in some non-performance critical code

- follow changes to VPGeom to Simplify rotation/translation parameter storage, !1568 (@graven)
  * also, small restructuring in VSPClus to allow more constexpr usage
  Requires lhcb/LHCb!1974

- Adapt to change in return value from RichRayTracing, !1565 (@jonrob)
  Adapts to lhcb/LHCb!1969

- Remove Spd/Prs classes from CaloFutureReco, !1563 (@aszabels)

- Cleanup TrackSys to remove Run1+Run2 support, !1557 (@cattanem)

- First round of context removal, !1556 (@jmarchan)

- Fix compilation warning on avx2, !1555 (@cattanem)

- ToolHandles for PrMatchNN, !1553 (@mstahl)

- Remove SPD/PRS from CaloFuture configuration, !1542 (@cmarinbe)

- Remove Run1 and Run2 support from RecConf Configurables, !1536 (@cattanem)
  Goes with Brunel!784


### Monitoring changes

- Template PrTrackAssociator to support different track types, !1632 (@sstahl)

- Add PrTrackChecker dedicated to testing GhostProbability, !1607 (@sstahl)
  * Remove GhostProb cut from PrTrackCheckers which test long track and downstream track efficiencies in the Best track container.
  * Add two new PrTrackCheckers which include the removed GhostProb cuts which test long track and downstream track efficiencies in the Best track container.
  * Added electrons with P>5GeV to Long track efficiency checkers for completeness.
  * Added electrons with and without P>5GeV to Downstream track efficiency checkers for completeness.

- Added IPCHI2 to IPResolutionCheckerNT, !1561 (@ldufour)

- Remove cuts on reconstructed quantities in PrTrackChecker, !1551 (@sstahl)
  * Removes cut 2<eta<5 on track quantities.
  * Move ghostprob cuts on Best track container to a dedicated algorithm for Long and Downstream tracks. Removed the cut for the full container


### Changes to tests

- RichRecTests - Add new basic SIMD operation test application, !1575 (@jonrob)

- Fix/update dumper tests., !1592 (@raaij)

- RichRecTests - Add AVX512 builds of test applications, !1587 (@jonrob)

- Allen input for various physics channels, !1582 (@dovombru)
