2020-02-27 Rec v31r0
===

This version uses
Lbcom [v31r0](../../Lbcom/-/tags/v31r0),
LHCb [v51r0](../../LHCb/-/tags/v51r0),
Gaudi [v33r0](../../../gaudi/Gaudi/-/tags/v33r0) and
LCG [96b](http://lcginfo.cern.ch/release/96b/) with ROOT 6.18.04.

This version is released on `master` branch.
Built relative to Rec [v30r6](../-/tags/v30r6), with the following changes:

### New features ~"new feature"

- ~Tracking | Added cheated long pattern recognition, !1773 (@ldufour)
- ~Tracking ~"Event model" | Add converters for zipped PrFitted tracks and vertices, !1780 (@apearce)
- ~Muon ~"Event model" | Add new Muon PIDs object in SOA format and adapt MuonID algorithm, !1689 (@sstahl)
- ~Composites ~Monitoring | Add algorithm which prints proto particles, !1904 (@sstahl)
- ~Functors | Functors for Smog dimuon line, !1767 (@samarian)
- ~Functors | Add functor for bitwise comparisons, !1765 (@apearce)
- ~Functors | FunctorDesc for python configuration, !1721 (@nnolte) :star:
- ~Functors | Add list as possible functor parameter and new MASS functor, !1710 (@cprouve)
- ~Functors ~Tuples | Add QMtest test for DumpContainer, !1795 (@olupton) [#104]
- ~Functors ~Tuples | Dummy producers, functor factory tweaks  and improved dump-to-tuple support, !1785 (@olupton)
- ~"MC checking" | Add option for isMuon and isPion to PrChecker, !1766 (@cprouve)


### Fixes ~"bug fix" ~workaround

- ~Tracking | Corrected a rare instance of segmentation fault due to chi2 being rigourously 0, !1788 (@lohenry)
- ~Tracking | Make ghostprob TMVA networks threadsafe, !1748 (@sstahl)
- ~Tracking | Catch events with more than 1024 resulting tracks in ForwardTracking, !1744 (@gunther) [#89]
- ~Muon | MuonIDHlt1Alg - Protect exp(x) call from undefined behaviour sanitizer warning, !1929 (@jonrob)
- ~Muon | MuonIDAlg - Fix clang warning, !1805 (@jonrob)
- ~Muon | Fix uninitialized variables warnings by initializing then to signalling_NaN, !1796 (@graven)
- ~Muon | Fix MuonMatchVeloUTSoA algorithm, !1747 (@mramospe)
- ~Calo | Use CaloCellCode::CaloIndex::Undefined enum as required instead of static cast, !1847 (@jonrob)
- ~Calo | Silence (correct!) gcc9 warning in CaloCosmicsTool, !1813 (@graven)
- ~Calo | CaloFutureReco - Fix clang warning, !1804 (@jonrob)
- ~Calo | Explicitly fix zero hcal energy bug, !1779 (@graven)
- ~Calo | Sort clusters prior to correcting for shower overlap, !1753 (@graven)
- ~Calo | Remove mutable member in InCaloFutureAcceptance tool, !1745 (@cmarinbe)
- ~Calo | Make ICaloFutureHypo2CaloFuture implementation threadsafe, !1741 (@graven)
- ~PID | ChargedProtoANNPIDTrainingTuple - Fix ntuple printout suppression, !1875 (@jonrob)
- ~Functors | Functor improvements, !1722 (@olupton)


### Enhancements ~enhancement

- ~Decoding | Simplify StoreUTHits, !1873 (@ahennequ) :star:
- ~Decoding ~Tracking | Add HitHandler for PrUTHits,  templated PrStoreUTHit, added PrModUTHit and adapted PrVeloUT, !1786 (@decianm)
- ~Decoding ~Tracking ~Muon | Enable event-local memory pool in UT hit handling, VeloUT tracking and VeloUTMuon reconstruction, !1893 (@olupton)
- ~Tracking | Implementation of the second loop in SciFiTrackForwarding, !1903 (@apiucci)
- ~Tracking | Enable event-local memory pool in SciFi tracking algorithms, !1895 (@olupton)
- ~Tracking | Enable event-local memory pool in VELOClusterTrackingSIMD, !1892 (@olupton)
- ~Tracking | Update cluster resolutions in PrStoreFTHit, !1829 (@lohenry) [#110]
- ~Tracking | SoA SciFiTracker hit class and adapted PrForwardTracking, !1815 (@gunther) [#123] :star:
- ~Tracking | FTMeasurement provider uses indices for unique quarter, !1750 (@ldufour)
- ~Tracking | Update forward tracking default parameters, !1749 (@gunther)
- ~"PV finding" | Enable event-local memory pool in PV reconstruction and selection algorithms, !1896 (@olupton)
- ~"PV finding" | Add reserve to WeightedTracks container, !1776 (@ahennequ)
- ~Muon | Add new counter to MuonMatchVeloUTSoA, !1726 (@mramospe)
- ~Muon ~"MC checking" | Add infrastructure to check MuonID efficiency, !1834 (@cprouve) :star:
- ~Muon ~"MC checking" | Fix muon matching, !1711 (@olupton)
- ~Muon ~Build | Improve MuonIDHlt1Alg, !1778 (@ahennequ)
- ~Calo | Optimize CaloFutureCorrectionBase::getCorrection{,AndDerivative}, !1926 (@graven)
- ~Calo | Faster calo correction (CaloFutureShowerOverlap), !1833 (@ozenaiev) :star:
- ~Calo | Make CaloFutureElectron tool thread safe, !1806 (@aszabels) [#106] :star:
- ~Calo | Pass CaloHypos instead of one CaloHypo, !1798 (@mimazure)
- ~Calo | Simple calo correction, !1764 (@aszabels)
- ~Calo ~PID | Update of NeutralIDTool for upgrade conditions, !1902 (@calvom) :star:
- ~RICH | Rich - Minor optimisations, !1839 (@jonrob)
- ~RICH | RICH - Prefer inputLocation<TYPE> and StatusCode::andThen for simple initialize() implementations, !1826 (@jonrob)
- ~RICH | RICH - Align some default property values with upgrade defaults, !1789 (@jonrob)
- ~PID | ChargedProtoANNPID - Remove all Run 1+2 MVAs, improve thread safety., !1894 (@jonrob) :star:
- ~Filters ~Functors | Move PrFilter and DumpContainer into headers and add some functors, !1728 (@nnolte)
- ~Functors | Make functors std::visit variants instead of std::invoking them, !1762 (@olupton)
- ~Functors | Add functor boilerplate mixins, use header_map helper, functor simplifications, !1742 (@olupton) :star:
- ~"MC checking" | Add fromSignal functionality for PrChecker, !1777 (@peilian) :star:
- ~Build | Silence FunctorCache build warnings, !1794 (@cattanem)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~Tracking | Patch up fragile use of TMVA-generated code, !1934 (@olupton)
- ~Tracking | Dropped VectorFitter, !1923 (@sponce)
- ~Tracking | Fixed a clang warning due to bad use of abs method, !1863 (@sponce)
- ~Tracking | Implemented dedicated 'chunker' to replace ranges::views::chunk, !1851 (@graven)
- ~Tracking | Use inputLocation<Type> and StatusCode::andThen, !1824 (@graven)
- ~Tracking | Reduce UT geometry hardwiring, prefer span, !1821 (@graven)
- ~Tracking | Removed old PrPixelTracking algo and adapted tests, !1801 (@sponce)
- ~Tracking | Port SciFiTrackForwarding to functional condition derivation, !1774 (@graven) :star:
- ~Tracking | Port PrLongLivedTracking to Gaudi::Algorithm + misc. changes, !1771 (@graven)
- ~Tracking | Integrate MeasurementProvider and TrackProjector(s), !1746 (@ausachov) [lhcb-rta/direction#16]
- ~Tracking | First go at removing Run2 specific code, !1714 (@sponce) :star:
- ~Tracking ~"Event model" | Suppress int comparison warning in Tr Measurement, !1820 (@jonrob)
- ~Tracking ~Conditions | Port VeloUT to Functional Condition Derivation framework, !1769 (@graven) :star:
- ~"PV finding" | Port TrackBeamLineVertexFinderSoA to functional condition derivation, !1784 (@graven)
- ~Muon | MuonSeeding: Remove duplicate constructor and redundant initialize, !1830 (@graven)
- ~Muon | Prefer DeMuonDetector::position over DeMuonDetector::Tile2XYZ, !1800 (@graven)
- ~Muon ~Conditions | Port MuonIDHlt1Alg to use derived condition, !1871 (@graven) :star:
- ~Muon ~Conditions | Reimplement `MuonFastPosTool` in terms of `ComputeTilePosition`, !1790 (@graven)
- ~Calo | Fix compilation with ROOT 6.20, !1924 (@clemenci) [ROOT-10512]
- ~Calo | Use `std::variant` to represent corrections in `CaloFutureCorrectionBase`, !1882 (@graven) [#121]
- ~Calo | Switch from deprecated GaudiKernel/Counters.h to Gaudi/Accumulators.h, !1840 (@jonrob)
- ~Calo | Tweak ClassifyPhotonElectronAlg, !1838 (@graven)
- ~Calo | Work around issue with CaloFuture MLP initialisaton with debug clang builds, !1837 (@jonrob)
- ~Calo | Move computation of `chi2(Match{2,3}D,Match{2,3}D)` to definition of Match{2,3}D., !1782 (@graven)
- ~Calo | Remove unused, obsolete .opts files, !1759 (@graven)
- ~Calo | Clean up ToolHandleArray usage, !1758 (@graven)
- ~Calo | Modernize CovarianceAlg and ShowerOverlap, !1757 (@graven)
- ~Calo | Remove redundant methods from ICaloFutureClusterSelector, !1756 (@graven)
- ~Calo | Removed usage of TrackUse in tools, !1755 (@mbala)
- ~Calo | Make CaloFutureCorrectionBase thread safe, !1734 (@aszabels) [#82]
- ~Calo | Calo future track alg update, !1667 (@mbala)
- ~RICH | Make skylake_avx512 use x86_64+avx2+fma references for two Rich tests, !1888 (@olupton)
- ~RICH | RichFutureRecSys - Do not force use of tcmalloc in QM tests, !1825 (@jonrob)
- ~RICH | RichEmittedPhotonYields - Suppress clang warning, !1819 (@jonrob)
- ~RICH | RichRayTraceTrackGlobalPoints - Switch to Raytracing method that does not pass a track segment, !1818 (@jonrob)
- ~RICH | RICH - Migrate algorithms to use derived condition helper objects, !1799 (@jonrob) :star:
- ~RICH | Update references following Rec!1789, !1791 (@apearce)
- ~RICH | Update references following Gaudi!996, !1781 (@sstahl)
- ~RICH | RICH - Adopt Gaudi::Algorithm as base where possible, !1770 (@jonrob)
- ~RICH | RICH - Misc. minor cleanups from clang-tidy, !1768 (@jonrob)
- ~RICH ~"MC checking" | Rich Reco. unit test refs, adapt to removal of empty MCParticle rels. warning, !1883 (@jonrob)
- ~RICH ~"MC checking" | RichPIDQC - Migrate to Gaudi Counters, !1841 (@jonrob)
- ~PID | Rewrite TMVA generated code in Rec/ChargedProtoANNPID/src/tmva, !1877 (@graven)
- ~PID | ChargedProtoParticleTupleAlg - Add ntuple printout suppression, !1876 (@jonrob)
- ~PID ~Build | ChargedProtoANNPID - Speed up build, !1874 (@jonrob) [#117]
- ~Persistency | RecSummaryAlg - Remove unused OT tool, !1816 (@jonrob)
- ~"MC checking" | Remove unused variables exposed by !1913, !1918 (@graven)
- ~"MC checking" | Follow deprecation of AnyDataHandle and posBegin/posEnd and modernize Pr/PrMCTools, !1913 (@graven)
- ~"MC checking" | Simplify PrChecker, !1844 (@graven)
- ~"MC checking" | TrackCheckers: Cleanup includes, !1743 (@cattanem)
- ~Luminosity | Fix lumi9mergesmallfiles test reference file to follow gaudi/Gaudi!1008, !1822 (@cattanem)
- ~Conditions | Fixed clang warnings introduced by Rec!1817, !1852 (@sponce)
- ~Conditions | Cleanups and changes in DetDesc to streamline the code and prepare DD4hep introduction, !1817 (@sponce)
- ~Conditions | Minimal port of PrStoreUTHit to functional conditions derivation, !1802 (@graven) :star:
- ~Simulation | Remove PGUN SpecialData option, !1939 (@adavis)
- ~Build | Masked and fixed AVX512 compilation warnings, !1857 (@sponce)
- ~Build | PrStoreUTHit:  include header of interface, not concrete implementation, !1854 (@graven)
- ~Build | Fix range v3 deprecation warnings, !1843 (@cattanem)
- ~Build | Fix some debug gcc9 warnings, !1797 (@jonrob)
- ~Build | Add missing include, !1761 (@graven)
