2020-08-03 Rec v31r1
===

This version uses
Lbcom [v31r1](../../../../Lbcom/-/tags/v31r1),
LHCb [v51r1](../../../../LHCb/-/tags/v51r1),
Gaudi [v33r2](../../../../Gaudi/-/tags/v33r2) and
LCG [97a](http://lcginfo.cern.ch/release/97a/) with ROOT 6.20.06.

This version is released on `master` branch.
Built relative to Rec [v31r0](../-/tags/v31r0), with the following changes:

### New features ~"new feature"

- ~Decoding ~Tracking | Templated VeloClusterTracking for Retina clustering and faster option, !1982 (@ahennequ) :star:
- ~Tracking | Parametrised scatters (Ported from track-fit-workshop branch), !2107 (@ldufour) :star:
- ~Tracking | Extend and modernize extrapolators, !2031 (@graven) :star:
- ~Tracking | New Hough cluster search for the UV (stereo) hits in the SciFi Hybrid Seeding, !1973 (@saiola) :star:
- ~Tracking ~Muon ~RICH ~Conditions | Add support for DD4hep in the framework, !2003 (@sponce) :star:
- ~Tracking ~Calo | Utils for new track fit configuration, !2060 (@ausachov) :star:
- ~Tracking ~"Event model" | Add hits indices to Pr::Tracks, !2063 (@peilian) [#140]
- ~Tracking ~"Event model" | Added Converter from Track v2 to PrSeedingTrack, !2062 (@decianm)
- ~Tracking ~"MC checking" | VPHitsMonitor for the residual studies, !2048 (@valukash)
- ~Muon ~PID | Adding chi2corr to MuonIDHLT1, !1958 (@masantim) [INT-2019] :star:
- ~Calo ~Composites | Add DataHandles to proto particle making sequence, !1886 (@sstahl) :star:
- ~Composites ~Filters ~Functors | Add vectorised track combiner, !2134 (@olupton) [GAUDI-1023] :star:


### Fixes ~"bug fix" ~workaround

- ~Configuration | Fixed bug in RecMoniConf exposed when datatype not set to Upgrade, !2132 (@wouter)
- ~Configuration | Add missing 'self.' in Rec/RecConf/python/RecConf/Configuration.py, !2123 (@wouter)
- ~Tracking | Fix out-of-bound index in PrAddUTHitsTool, !2138 (@peilian)
- ~Tracking | TrackStateProvider - Improve cache key hash and add mutex locks, !2114 (@jonrob) [#148]
- ~Tracking | Fix another out-of-bound index in PrVeloUT, !2110 (@decianm)
- ~Tracking | Add temporary constructors to TrackTraj to work around cppgsl 3.x gcc 9.x issue, !2093 (@jonrob)
- ~Tracking | Bug fix to Trackv2PrSeedingTrack, !2084 (@sesen)
- ~Tracking | Make FitNode print function crash proof and const, !2079 (@chasse) [#143]
- ~Tracking | Fix when multiple Hough clusters are processed for the same X-Z track, !2006 (@saiola)
- ~Tracking | Fixed an error in the X projection fit, !1968 (@lohenry)
- ~"PV finding" | Fix bug in pvfinding alg, !2043 (@nnolte)
- ~"PV finding" | Add nullptr protection to PVConverter, !1963 (@peilian)
- ~"PV finding" ~Monitoring | Fix unchecked status code, !2001 (@apearce)
- ~Calo | FutureGammaPi0XGBoostTool: do not use invalid CaloCellID, !2057 (@graven)
- ~Calo | CaloFutureCellularAutomaton: increment the right counter..., !1981 (@graven)
- ~Calo | Fix invalid memory access in ClassifyPhotonElectronAlg, !1948 (@ozenaiev)
- ~Functors | Fix MatrixNet.h casting to avoid UB Sanitizer errors, !2116 (@jonrob) [#152]
- ~Functors ~Build | Workaround for ROOT-15030, !1961 (@clemenci) [ROOT-10530,ROOT-15030]
- ~Utilities | PrSelection.h : Check for empty container in index overflow check, !2096 (@jonrob)


### Enhancements ~enhancement

- ~Tracking | Speed modifications to PrLongLivedTracking, !2127 (@decianm)
- ~Tracking | TrackStateProvider - Use TES to store cache, !2118 (@jonrob)
- ~Tracking | Adapted code for change to enum class in UTInfo, !2094 (@decianm)
- ~Tracking | Simplifying ModPrHit and order of functions in the Seeding, !2089 (@lohenry)
- ~Tracking | Suppress RK Extrapolator warning messages from event loop, !2076 (@jonrob) [#138]
- ~Tracking | Migrate latest VeloUT to master / Add field in MutUTHits for indices, !2065 (@decianm)
- ~Tracking | Refactor SciFiTrackForwarding, !2034 (@chasse)
- ~Tracking | Add inline keyword to findHits function in VeloUT, !2032 (@chasse)
- ~Tracking | Reorganise track fit implementations into separate classes, !2028 (@saiola)
- ~Tracking | Improved seeding performances, !2015 (@lohenry)
- ~Tracking | Make Track{Kisel,HeraB}Extrapolator thread safe, !2008 (@graven)
- ~Tracking | Improve access to geometry in PrStoreSciFiHits, !2005 (@gunther) [#129]
- ~Tracking | Performance improvements for the SciFiForwardTracking, !1994 (@chasse) :star:
- ~Tracking | Improve access to geometry in SciFiTrackForwardingStoreHit, !1993 (@ahennequ) :star:
- ~Tracking | Vectorise stereo hit matching and make internal hit container SoA, !1992 (@gunther)
- ~Tracking | Improve momentum resolution for 2nd loop tracks in SciFiTrackForwarding, !1985 (@chasse)
- ~Tracking | Use initial search window parameterisation from SciFiTrackForwarding in PrForwardTracking, !1975 (@gunther)
- ~Tracking | Regroup Velo Kalman fits + numerical stability, !1760 (@ahennequ)
- ~"PV finding" ~Composites | Follow tweaks to SIMDWrapper behaviour, !2109 (@olupton)
- ~Calo | Wrap SpreadEstimator in a namespace to avoid clash with the copy in LHCb, !2143 (@clemenci)
- ~Calo | Changes type of counters in CaloFutureLCorrection, !2111 (@sponce)
- ~Calo | New counters in merge-pi0 algorithm + passing vector of hypos to the correction tools, !2027 (@aszabels)
- ~Calo | Implementing counters in ClassifyPhotonElectronAlg, !1987 (@aszabels)
- ~Calo | Make ICaloFutureDigitFilterTool threadsafe, streamline counters in CaloCorrections, !1971 (@graven)
- ~Calo | Faster cluster corrections in calo shower overlap algorithm, !1880 (@ozenaiev) :star:
- ~Calo | Migrate code in CaloFuture to Digits v2, Clusters v2, !1740 (@graven) :star:
- ~RICH | Add optional mirror data container to photon reconstruction output, !2058 (@jonrob)
- ~RICH | Improved Ring Reuse in RICH Mass hypothesis ring creator, !2044 (@jonrob)
- ~RICH | Consolidate rich detector and radiator properties, !2041 (@jonrob)
- ~RICH | Rich likelihood calculation, move SIMD horizontal sum outside loop, !2030 (@jonrob)
- ~RICH | Add a simplified algorithm for computing the RICH detectable photon yields, !2024 (@jonrob)
- ~RICH | Rich ray tracing speed up, !2007 (@jonrob)
- ~RICH ~PID | Add seed (SciFi) track category in RICH track filter, !2097 (@saiola)
- ~RICH ~Monitoring | Update RICH data monitoring, !1962 (@jonrob)
- ~PID | ChargedProtoANNPID - Optimise MVA calls a little by removing one virtual function call, !1944 (@jonrob)
- ~Composites ~Filters ~Functors ~"Event model" | Selection framework improvements, !2125 (@olupton)
- ~Composites ~Functors | Functor/combiner proceedings, !1996 (@nnolte)
- ~Filters | Update Trackselector, !2124 (@wouter)
- ~Functors | Reduce dynamic allocation in functor/filtering code, !2017 (@olupton)
- ~Functors | Improve error messages when PV-relation code is invoked with an empty PV container, !2010 (@olupton)
- ~"MC checking" | PrChecker: add histo versus z, !2053 (@dovombru)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~Decoding ~Conditions | Cleanup PrStoreUTHit, !2000 (@graven)
- ~Tracking | Fix to prepare for Gaudi new JobOptionsSvc, !2139 (@clemenci)
- ~Tracking | Prefer `put(std::unique_ptr<T>)` over `put(T*)`, !2115 (@graven)
- ~Tracking | Modernize TrackInterpolator, !2113 (@graven)
- ~Tracking | Removed vectorclass in StateZTraj and associated test, !2100 (@sponce)
- ~Tracking | Add AVX2+FMA specific reference file for track extrapolator test, !2087 (@jonrob)
- ~Tracking | Migrate to LHCb::range::chunk, !2075 (@graven) [#137]
- ~Tracking | Follow name change in LHCb!2519, !2042 (@graven)
- ~Tracking ~Filters | Modernize TrackUtils, !1861 (@graven)
- ~Tracking ~"Event model" | Remove Node, use FitNode instead, !1949 (@ausachov) [#102]
- ~Tracking ~"MC checking" | Modernize IdealStateCreator and make use of the tool in PrCheatedLongTracking, !2064 (@chasse)
- ~Tracking ~Utilities | Final drop of vectorclass in Rec, !2128 (@sponce)
- ~"PV finding" | Modernize PatPV, !1872 (@graven)
- ~Calo | Introduce dedicated type for CaloDigitStatus::Status (follow LHCb!2666), !2144 (@graven)
- ~Calo | CaloFutureTools, GlobalReco: amalgamate headers into component source, !2098 (@graven)
- ~Calo | Move SpreadEstimator, SharedCells, Digit2ClusterConnector  from LHCb to CaloFutureReco, !2092 (@graven)
- ~Calo | Adapt to drop of prs and spd in Calo Enums.h, !2078 (@sponce)
- ~Calo | Delete CaloFutureClusterCovarianceAlg.h, !2072 (@cmarinbe)
- ~Calo | Modernize CaloFutureReco, !2068 (@graven)
- ~Calo | CaloFutureEnergyForTrack: avoid copying CaloDigits, !2050 (@graven)
- ~Calo | Move CovarianceEstimator from LHCb to Rec, !2046 (@graven)
- ~Calo ~Composites | Mitigate expensive counter lookup, !1697 (@graven)
- ~Calo ~Monitoring | Dropped (most of) non future Calo reconstruction code, !1998 (@sponce)
- ~RICH | RICH Remove obsolete HPD specific code, !2126 (@jonrob)
- ~RICH | Remove residual usage of Eigen from RICH, !2104 (@jonrob)
- ~RICH | Dropped usage of vectorclass in QuarticSolver and QuarticSolver itself, !2102 (@sponce)
- ~RICH | Update SIMDCOND tag in Rich tests to upgrade/sim-20190911-vc-md100, !2009 (@jonrob)
- ~RICH | Make use of LHCb SIMD memory alignment types in RICH, !1999 (@jonrob)
- ~RICH | RICH - Align some C++ defaults with those used by default python configuration, !1960 (@jonrob)
- ~RICH ~Monitoring | RichTrackRadiatorMaterial - Remove unstable histogram properties, !2131 (@jonrob)
- ~Functors | Improve ThOr functor testing with different SIMD backends, !2141 (@olupton)
- ~Functors | Minor fixes for sanitiser builds, !2105 (@jonrob)
- ~Persistency | Changed VMEM limit to 1.7GB for lumi9mergesmallfiles test, !2120 (@sponce)
- ~Persistency | LumiAlgs - Update ref. for merge-small-files following change in Gaudi!1051, !2085 (@jonrob)
- ~Persistency | Follow LHCb!2303 (modernize DAQUtils), !1869 (@mstahl)
- ~"MC checking" | Remove unused code related to MC checking/linking, !2066 (@chasse)
- ~"MC checking" | Modernize TrackCheckers, !1858 (@graven)
- ~Monitoring | Modernize VPTrackMonitor, !1879 (@graven)
- ~Monitoring | Modernize TrackMonitors, !1870 (@graven)
- ~Tuples | Making TrackRecoDumper fully functional and changing the input, !1986 (@lohenry)
- ~Accelerators | Move GPU directory to Allen project, !1897 (@dovombru)
- ~Build | Define CPP macro to suppress vectorclass AVX2 no FMA warning, !2083 (@jonrob)
- ~Build | Fix -Wrange-loop-construct warnings, !2045 (@pseyfert)
- ~Build | Remove Win32 dead code, !1991 (@cattanem)
- Ignore unchecked status codes, !1972 (@clemenci)
- Support Python 3, !1850 (@apearce)


### Documentation ~Documentation

- Update CONTRIBUTING.md, !2130 (@cattanem)
- Make gitlab use cpp syntax highlighting for icpp files, !2036 (@chasse)
