2021-09-24 Rec v33r1
===

This version uses
Lbcom [v33r2](../../../../Lbcom/-/tags/v33r2),
LHCb [v53r2](../../../../LHCb/-/tags/v53r2),
Gaudi [v36r1](../../../../Gaudi/-/tags/v36r1) and
LCG [100](http://lcginfo.cern.ch/release/100/) with ROOT 6.24.00.

This version is released on `master` branch.
Built relative to Rec [v33r0](/../../tags/v33r0), with the following changes:

### New features ~"new feature"

- ~Tracking ~UT ~FT | Filter mode for PrVeloUT, !2528 (@gunther)
- ~Tracking ~"Event model" | Add PrTracks to v1::Track converters, !2470 (@decianm)
- ~RICH ~"MC checking" | Add MC Rich Optical Photon Checker, !2502 (@jonrob)
- ~Composites | Implement a global ID for overlap checking of reconstruction objects, !2426 (@mramospe) [Phys#12]
- ~"MC checking" | Move PrTrackerDumper to Allen, !2415 (@dovombru)
- ~Monitoring | PrHits resolution monitors for be added to the LHCbPR, !2424 (@valukash)


### Fixes ~"bug fix" ~workaround

- ~Tracking ~UT | Bug fix for PrVeloUT Filter mode, !2535 (@gunther)
- ~Tracking ~FT | Avoid clones from almost identical Velo tracks in PrForwardTracking, !2531 (@gunther)
- ~Build | Minor CMake fixes, !2540 (@clemenci)


### Enhancements ~enhancement

- ~Tracking | Update standalone muon, muonut and velomuon tracks for the study of tracking efficiency, !2496 (@peilian) [#205]
- ~Tracking | Remove use of operations with different results on AMD and Intel, !2488 (@sstahl)
- ~Tracking | Change the seeding input and output, and rework hit flagging, !2376 (@lohenry) :star:
- ~Tracking ~FT | Improve Layout of PrSciFiHits and clean up PrStoreFTHit, !2434 (@gunther)
- ~Tracking ~Filters | Updated similarity calls to LHCbMath to match 2DMeasurement developments, !2485 (@jadevrie)
- ~Calo ~PID | Update of neutral PID tools, !2497 (@calvom)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~Configuration | Follow LHCb ODIN creator changes, !2527 (@sesen)
- ~Configuration | Follow LHCb!3167, !2500 (@rmatev)
- ~Decoding | Follow LHCb!3225, !2533 (@sesen)
- ~Tracking | Remove option to remove one VP measurement projection as outlier from track fitters, !2554 (@ausachov) [#214]
- ~Tracking | Avoid 'comparison of unsigned expression in ‘< 0’ is always false' warning, !2550 (@jonrob)
- ~Tracking | Replace data file for conversion tests (which was Run2) with Run3 file, !2546 (@decianm)
- ~Tracking | Required changes for compatibility with gaudi/Gaudi!1249, !2530 (@graven)
- ~Tracking | Migrate TrackUtils from Gaudi::Functional to LHCb::Algorithm, !2520 (@graven)
- ~Tracking | Convert from Gaudi::Functional to LHCb::Algorithm, !2519 (@graven)
- ~Tracking | Replace use of `tool<...>(...)` and `service<...>(...)` with `ToolHandle` and `ServiceHandle`, !2518 (@graven)
- ~Tracking | Follow updated names in LHCb!3185, !2517 (@graven)
- ~Tracking | Fix usage of bit_cast, !2516 (@graven)
- ~Tracking | Change VertexListRefiner to Transformer, !2495 (@freiss)
- ~Tracking | Follow changes in lhcb/LHCb!3134, !2492 (@graven)
- ~Tracking ~UT | Change units used in PrVeloUT properties to LHCb default, !2489 (@gunther)
- ~Tracking ~"Event model" | Remove more unnecessary includes of v2::Track, !2525 (@decianm)
- ~Tracking ~"Event model" | Changed PrResidualSeeding to a template to possibly run it on Downstream tracks, !2524 (@lohenry)
- ~Tracking ~"Event model" | Remove unnecessary includes of Track v2, !2481 (@decianm)
- ~Calo | Fix DD4Hep: drop #include "DetDesc/ConditionAccessorHolder.h", !2538 (@graven)
- ~Calo | Migrate CaloFutureReco and CaloFuturePIDs from Gaudi::Functional to LHCb::Algorithm, !2523 (@graven)
- ~RICH | Fix lcg-101 compilation with gcc10, !2542 (@graven)
- ~RICH | Update refs for LHCb!3113 and Rec!2499, !2507 (@rmatev)
- ~Functors | Fix: make SerializeSTL.h ostream overloads available, !2555 (@chasse)
- ~"Event model" | Follow namespace rationalization in LHCb!3183, !2510 (@graven)
- ~Monitoring | Remove special symbols from the histogram names in the PrHitsMonitors, !2534 (@valukash)
- ~Luminosity | Remove the last uses of SmartIF, !2515 (@graven)
- ~Luminosity | Adapted ref files to GaudiAlgorithm cleanup in LHCb, !2509 (@sponce)
- ~Build | Missing TrackVPOverlapMonitor in CMakeLists, !2506 (@bimitres)
- Rationalize LHCb::Pr namespace usage, !2553 (@graven)
- Update ref  LHCb!3249 based on lhcb-head-2/344, !2551 (@chasse)
- 🤖 Update References for: Rec!2519, !2522 (@chasse)
- Modernize RecAlgs, !2521 (@graven)
- Dropped usage of (UN)LIKELY macro, !2499 (@sponce)
