2022-03-30 Rec v34r1
===

This version uses
Lbcom [v33r7](../../../../Lbcom/-/tags/v33r7),
LHCb [v53r7](../../../../LHCb/-/tags/v53r7),
Gaudi [v36r4](../../../../Gaudi/-/tags/v36r4),
Detector [v1r0](../../../../Detector/-/tags/v1r0) and
LCG [101](http://lcginfo.cern.ch/release/101/) with ROOT 6.24.06.

This version is released on `master` branch.
Built relative to Rec [v34r0](/../../tags/v34r0), with the following changes:

### New features ~"new feature"

- ~Decoding ~Monitoring | Add Plume decoding and monitoring, !2771 (@vorlov)
- ~Tracking | Support fitting PrSeedTracks with PrKalmanFilter, !2788 (@gunther) [#303]
- ~Tracking ~Filters | Implement 2D measurements, !2140 (@jadevrie)
- ~UT ~Conditions | Make UT code compile with DD4hep, !2700 (@sponce)
- ~Muon | Muon integration into DD4hep, !2655 (@sponce)
- ~Muon ~PID | Make MuonId in Hlt2 functional, !2605 (@rvazquez) :star:
- ~Calo | New calo reconstruction algorithm, !2661 (@nuvallsc)
- ~Calo ~PID | Move calo to new DLLs, !2805 (@mveghel)
- ~Calo ~"Event model" | Adding calo algs using v3 tracks, !2547 (@mveghel)
- ~Functors | FunctorFactory, replace CLING backend with native compiler, !2699 (@chasse) [#266]
- ~Functors | Ported TMVATransform to TMVA.h, !2588 (@aalfonso)
- ~Functors | Add regex-based HltDecReports ThOr filter, add cached lookup, !2793 (@graven)
- ~Functors | Added definition of HltFilter ThOr functor, !2598 (@lpica) [#218]
- ~Functors | Add functors for IsPhoton, IsNotE, IsNotH, ShowerShape, !2736 (@tnanut)
- ~Functors | Add functors for composite flight distance vector from BPV, !2643 (@mrudolph)
- ~Functors | Add functor for impact parameter wrt bestPV, !2720 (@amathad)
- ~Functors ~Tuples | Functor returning decisions of list of HLT lines and extra ODIN functors, !2747 (@amathad)
- ~Functors ~Tuples ~"Flavour tagging" | Add ParticleTagger tool and related Thor functors, !2682 (@dfazzini)
- ~Persistency ~"Flavour tagging" | Peristency of FlavourTag objects, !2688 (@cprouve)
- ~Monitoring | Add FTTrackMonitor, !2608 (@shollitt) [LHCBSCIFI-120]
- Add IS_ID and IS_ABS_ID ThOr functors, !2575 (@poluekt)
- Add FT Hits dumper algorithm, !2712 (@anpappas)


### Fixes ~"bug fix" ~workaround

- ~Tracking | Fixed bug in FitNode::unbiasedState() introduced by the 2D measurements MR, !2786 (@jadevrie)
- ~Tracking | Fix access of forbidden address in PrForward, !2798 (@gunther) [#310]
- ~Tracking | Fix outliers counting in PrKalmanFilter, !2714 (@ausachov) [#275]
- ~Tracking | Simplify TrackSelectorBase, !2731 (@graven)
- ~Tracking | Add exceptional case of unordered new states in TrackMasterFitter, !2721 (@peilian) [Moore#385]
- ~UT | PrAddUTHitsTool: do not std::move string before using it again, !2701 (@jonrob)
- ~UT | Follow changes in lhcb/LHCb!3368, !2665 (@graven)
- ~Composites | Thread safe LoKi::VertexFitter, !2803 (@roneil) [#308]
- ~Composites | Bug fix allowing decay descriptor check in combiners to work and warn about duplicates, !2708 (@tmombach)
- ~Composites ~Functors | Fix difference between end vertices of two composites i.e F.CHILD(1, F.VZ) - F.VZ, !2705 (@amathad)
- ~Functors | Add missing deref, !2810 (@graven)
- ~Functors | Fix duplicate symbols in SigmaNet, !2808 (@graven)
- ~Functors | Fix SUBCOMB functor, !2762 (@gunther)
- ~Functors | Fix negative SDOCA values, !2756 (@gunther)
- ~Functors | Fix: use absolute path to weight file for SigmaNet, !2739 (@chasse)
- ~"Flavour tagging" | Fix code in GetFlavourTaggingParticles, !2813 (@cprouve)
- Fix dependencies for monobuild, !2787 (@chasse)
- MuonTools: add missing LINK dependencies, !2780 (@chasse)
- Fix missing tuple in logical and folding, !2733 (@graven)


### Enhancements ~enhancement

- ~Tracking | Adapt TrackSelector for PrKalmanFilter, !2819 (@ausachov)
- ~Tracking | VeloClusterTracking version for alignement, !2784 (@ahennequ)
- ~Tracking | Adding counters to hybrid seeding, !2790 (@lohenry)
- ~Tracking | Store pScatter and nIter in PrKalmanFitResult, !2779 (@jkubat)
- ~Tracking | Track segment chi2 in PrKalmanFitResult, !2776 (@jkubat)
- ~Tracking | Fit velo backward tracks with PrKalman, !2734 (@jkubat)
- ~Tracking | Add flag for backward tracks in Velo tracking, !2722 (@decianm)
- ~Tracking | Added asserts to VPX and VPY projections in parameterised Kalman, !2715 (@jadevrie)
- ~Tracking | Template PrCloneKiller, !2707 (@decianm)
- ~Tracking | More methods for common interface between FitNode and PrFitNode, !2671 (@jkubat)
- ~Tracking ~Calo | Adding T-track states needed for calo, !2751 (@mveghel)
- ~Tracking ~Monitoring | Unbiased State for PrFitNode, !2753 (@jkubat)
- ~FT ~Monitoring | Switch FT{Cluster,Digit,NZSCluster}Monitor from AIDA histograms to new histograms, !2719 (@jheuel)
- ~Calo | Mitigate memory allocations in Calo Graph Clustering, !2760 (@gunther)
- ~RICH | Implement RICH detection point for dd4hep, !2794 (@jonrob)
- ~RICH | Changes to support reading parameters from dd4hep, !2759 (@jonrob)
- ~Composites | Update of ParticleVertexFit, !2811 (@wouter)
- ~Composites | Fix member function names in ParticleCombination, !2689 (@mramospe)
- ~Composites | Add condition to PrFilter, !2754 (@sstahl)
- ~Functors | Add some MC Functors, !2652 (@gunther) [lhcb-dpa/project#145]
- ~"Event model" | Use variable sized vector field to store LHCbIDs and hit indices in PrTracks, !2772 (@ahennequ)
- ~"Event model" | Modify ParticleCombination to make the type independent of the number of particles, remove DOCA{,Chi2} computation from combinations classes, !2713 (@graven)
- ~"Event model" | Further streamlining of ThOr functors using ADL, !2709 (@graven) [#223,#279,#286,Moore#355]
- ~"Event model" | Further streamlining of ThOr functors using ADL, !2690 (@graven) [#223,#264,#274]
- ~Monitoring | Add Ttracks to FTTrackMonitor, !2763 (@shollitt)
- ~Tuples | Allow DOCA to be hosted by a `GaudiTupleAlg`-with-conditions parent algorithm, !2752 (@graven)
- Support SharedObjectsContainer in DecayTreeFitter, !2799 (@dfazzini)
- Functor test for simd type comparisons, !2742 (@chasse) [#290]


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~Tracking | Make RK statistics thread-safe, !2807 (@graven)
- ~Tracking | Replace `hasTT()` with `hasUT()`, !2697 (@graven)
- ~Tracking | Update TMVA files for ghost prob to new format, !2693 (@decianm)
- ~Calo | Cleanup use of conddb in TrackBasedElectronShowerAlg, !2702 (@mveghel)
- ~Calo ~"MC checking" | Make FutureSubClusterSelectorSwissCross finable, !2732 (@cmarinbe)
- ~RICH | Some changes to support DD4HEP in the RICH Reco, !2692 (@jonrob)
- ~Composites | Remove Combiner instances which explicitly specify a SIMD architecture, !2796 (@graven)
- ~Functors | Add test for Neutral functors and Remove IsNotE functor, !2767 (@tnanut)
- ~Functors | Add tests for TES functors, !2766 (@amathad)
- ~Functors | Resolve #296: replace generic visit in DOCA functor(s) with more specific solution, !2757 (@graven) [#296]
- ~"Event model" | Migrate ADL defaults to EventBase, !2812 (@graven)
- ~Tuples | Fix doc of MCTruthAndBkgCatAlg.cpp, !2711 (@erodrigu)
- ~Build | Add missing link library, !2825 (@rmatev)
- ~Build | Fix issues with super project build, !2822 (@rmatev)
- ~Build | Add missing link library, !2800 (@rmatev)
- ~Build | Fix link issue in cmake, !2769 (@rmatev)
- ~Build | Fixes to enable super project build, !2743 (@rmatev)
- Migrate TrackVertexUtils.h to LHCb, !2801 (@graven)
- Remove boiler plate used for code migrations, !2775 (@graven)
- Add test of tested functors, !2764 (@sstahl)
- SOA proxy adaptations, !2761 (@ahennequ)
- Update TestFunctor example to use indices2D_field in the vertex example, !2749 (@graven)
- Rely on ADL to find the popcount, !2744 (@graven)
- Functors::Adapters: Suppress debug build warning, !2716 (@jonrob)
- Remove some tools that are likely not needed, !2696 (@pkoppenb)

### Other

- Update References for: LHCb!3430, Rec!2699, Moore!1416, Analysis!871 based on lhcb-master-mr/4076, !2820 (@chasse)
