2022-08-03 Rec v34r4
===

This version uses
  Gaudi: [v36r7](../../../../Gaudi/-/tags/v36r7),
  Detector: [v1r3](../../../../Detector/-/tags/v1r3),
  LHCb: [v53r10](../../../../LHCb/-/tags/v53r10),
  Lbcom: [v33r10](../../../../Lbcom/-/tags/v33r10),

This version is released on `master` branch.
Built relative to Rec [v34r3](/../../tags/v34r3), with the following changes:

### New features ~"new feature"

- ~Decoding | Plume decoding and monitoring, !2987 (@rmatev)
- ~VP ~Monitoring | Add VPHitExpectation tool, !2818 (@bpagare)


### Fixes ~"bug fix" ~workaround

- ~Tracking ~FT | Solve the Hybrid Seeding seg fault when running on data, !3047 (@lohenry) [#373]
- ~Functors | Fix(functors) avoid SEGV on JIT failure, !3016 (@chasse)
- ~Functors | Fix(functors) CHI2 & CHI2NDOF and add test, !3013 (@chasse) [Moore#452]
- ~Functors | Fix(functors) fix ImpactParameter functor for ptr input and add test, closes #364, !2990 (@chasse) [#364]
- ~Functors ~Tuples ~"Flavour tagging" | Changes in Charge and IsMuon for FlavourTagging relations, !3030 (@jroensch)
- ~Monitoring | Fix noutliers in TrackMonitor, !3020 (@ausachov)
- Fix ASYM functor, !3032 (@tfulghes)


### Enhancements ~enhancement

- ~Tracking | Improve Scaling of Stereo Candidate Search in PrForwardTracking, !2960 (@gunther)
- ~Functors | Fix(functors) ValueOr (followup from !2992), !3026 (@chasse)
- ~Functors | Refactor(functors) consolidate ARGS and FORWARDARGS into single functor, !3019 (@chasse)
- ~Functors | Refactor(functors) remove invalid_value, !2992 (@chasse) [DaVinci#58]
- ~Functors | Fix: FunctorFactory use gaudi/Gaudi!1338, !2902 (@chasse)
- ~Functors | Refactor(functors) Lifetimefitter use normal counter as warning message is not needed, !3011 (@chasse)
- ~Functors | Feat(functors) implement automatic wrapping/unwrapping of optional returns from functor, !2977 (@chasse)
- ~Functors | Fix(functors): TES functor, ensure DataHandle has usable C++ type, !2971 (@chasse)
- ~Functors | Refactor(functors) use a MSGCounter inside the LifetimeFitter, !2948 (@chasse)
- ~Monitoring | LHCb::Track::Range instead of LHCb::Tracks in VPTrackMonitor, !3039 (@decianm)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~Tracking | Fix name confusion in PrKalmanFilterTool LHCbID finding, !3021 (@gunther)
- ~Tracking | Remove usage of unwinding in PrForwardTracking, !3010 (@gunther)
- ~Muon | Adapted to changes in the Muon code, !2691 (@sponce)
- ~Muon ~PID | Change name of MuonPIDConverter to follow naming scheme, !3034 (@rvazquez)
- ~Calo | Remove getDet in HypoEstimator and Hypo2Calo, !2955 (@cmarinbe)
- ~Functors | Test More Functors in InstantiateFunctors.cpp, !2999 (@chasse)
- ~Functors | Draft: Test More Functors in InstantiateFunctors.cpp, !2995 (@chasse)
- Use std::isnan (fix for el8 builds), !2984 (@rmatev)
- Adapt changes made in !2920 to current Gaudi & C++ usage, !2938 (@graven)


### Documentation ~Documentation


### Other

- ~Tracking | Change LHCb::State to StateVector in extrapolation, !2908 (@peilian) [#332]
- ~Tracking | PrKalmanFilter returning v3::Tracks and ExtraInfo and track fit results, !2741 (@ausachov) [#236]
- ~Tracking | PrAlgorithms - Use correct derived condition key format with dd4hep, !2968 (@jonrob)
- ~Tracking ~Muon | Add MuonTileID, !2951 (@rowina)
- ~Muon ~Monitoring | Add muon monitoring code, !2944 (@rvazquez)
- ~Calo | Add spectrum flag to cell histos, !3037 (@nuvallsc) [#374]
- ~Calo | Cleaning Calo, !2945 (@jmarchan)
- ~Calo | Modify negative energy check, !2967 (@nuvallsc)
- ~Calo ~Monitoring | Remove getDet from CaloDigitMonitor, !3014 (@cmarinbe)
- ~Calo ~Monitoring | Calo monitoring 2D plots of RMS of ADCs, !2952 (@alobosal)
- ~RICH | Update RICH qm test reference to adapt to dd4hep panel size change, !3046 (@jonrob)
- ~RICH | Update RichDetector refs for dd4hep, adapting to MR Detector/235, !3044 (@jonrob)
- ~RICH | Remove local RICH workarounds for dd4hep limitations, !3025 (@jonrob)
- ~RICH | Fix dd4hep ref for Rich Reco QM test, !2964 (@jonrob)
- ~RICH | Adapt to small changes due to radiator volume intersections update, !2954 (@jonrob)
- ~RICH | Use yaml DB tag supporting all RICH PMTs active with DetDesc MC samples, !2953 (@jonrob)
- ~Jets | Include Jet energy calibration option in FastJetBuilder, !2929 (@rangel)
- ~Functors | SUMCONE functor and WeightedRelTableAlg, !2750 (@tfulghes)
- ~Monitoring | Adapt FTTrackMonitor for PrKalmanFilter, !2993 (@ausachov) [Alignment#16]
- ~Build | Add missing link dependencies, !3008 (@clemenci)
- Update RICH QM test ref log for dd4hep, !3057 (@jonrob)
- Switch to TGeoTransportSvc in dd4hep builds, !3056 (@jonrob)
- Fix layerID method in FT DD4HEP by using layerIdx, !3055 (@lohenry) [#382]
- PrFTZoneHandler - Check array bounds before access, !3052 (@jonrob)
- Update References for: LHCb!3154 based on lhcb-master-mr/5248, !3049 (@lhcbsoft)
- Misc. fixes for PrFTHitsChecker in dd4hep builds, !3048 (@jonrob) [#376]
- Update References for: Detector!239, LHCb!3679, Boole!402, Rec!3018, Allen!931 based on lhcb-master-mr/5158, !3041 (@lhcbsoft)
- Fix use of enum struct in fmt::format, !3038 (@clemenci)
- Adapt clustering and decoding/tracking algorithms to the new VELO RawBank format, !2958 (@gbassi)
- Added ABS functor, !2881 (@rangel)
- Resolve #345 "Add loki mtdocachi2 functor to thor", !2740 (@ejiang) [#345]
- Update References for: Rec!3028 based on lhcb-master-mr/5106, !3031 (@lhcbsoft)
- Update References for: Detector!244 based on lhcb-master-mr/5076, !3029 (@lhcbsoft)
- Repair histogram indexing in FT monitors, !3028 (@jheuel)
- Add correct DD4Hep path to PrStoreFTHit, !3027 (@decianm)
- Changed name of FT methods to make software clearer, !3018 (@lohenry)
- Add flight distance and impact parameter functors wrt all pvs, !3017 (@amathad)
- Update PrimaryVertexChecker for correct beamspot position access, !3023 (@decianm)
- Add writing and reading of RecSummary, !3007 (@sstahl)
- FT monitoring TAE mode for NZS and ZS monitoring, !3000 (@jheuel)
- Prefer Track::Range over Tracks as input type, !2994 (@graven)
- Update References for: LHCb!3676 based on lhcb-master-mr/5005, !3015 (@lhcbsoft)
- Fixed phoenix output when arrays are empty, !3009 (@sponce)
- Remove MAP_* from Adapters.h, add cone variables, !2959 (@tfulghes)
- Configurable track state provider for particle vertex fitter, !3006 (@isanders)
- Fix paramter that is cut on, !3004 (@cprouve)
- Update References for: LHCb!3664 based on lhcb-master-mr/4932, !2997 (@lhcbsoft)
- Dereference pointer if required in CorrectedMass functor, !2996 (@mstahl)
- Follow up of dd4hep-bintegrator, !2983 (@decianm)
- Make Calo event model types SOACollections, !2937 (@ahennequ)
- HLT1-HLT2 comparison checker, !2843 (@valukash)
- Dump Rich data to phoenix files, !2991 (@sponce)
- FastJetBuilder fix for nPV=0, !2989 (@lsestini)
- Update References for: LHCb!3658 based on lhcb-master-mr/4883, !2988 (@lhcbsoft)
- Update References for: Detector!202, LHCb!3572 based on lhcb-master-mr/4870, !2986 (@lhcbsoft)
- Move and fix of GetFlavourTaggingParticles to use new PV class, !2982 (@cprouve)
- Add missing dependencies on libraries, !2981 (@clemenci)
- Make sure we get an empty list instead of null when there are no hits, !2980 (@bcouturi)
- Avoid using directly GrammarUnparsed, !2978 (@sponce)
- Add TAE mode to FT digit monitoring and simple tests, !2974 (@jheuel)
- Update TrackBestTrackCreator and FunctionalChargedProtoParticleMaker to be DD4Hep compatible, !2969 (@decianm)
- Preparation for Topological Trigger with Th0r, !2962 (@nschulte)
- Rename TrackPV2HalfAlignMonitor to TrackPV2HalfMonitor, !2904 (@jcobbled)
- Fix usage of F.CHILD in F.MAP_INPUT with DTF, !2976 (@amathad)
- Dropped unneeded ifdefs for DD4hep, !2973 (@sponce)
- Add basic functionality for extrapolation in ParticleVertexFitter, !2972 (@isanders)
- Revert "Merge branch 'jzhuo_FunTuple_MCRec' into 'master'", !2970 (@sponce)
- Cut on Max strips for UT clustering added, !2942 (@xuyuan)
- Remove use of getDet in CaloFutureAlignmentNtp.cpp, !2934 (@bcouturi)
- Thor functors for MCTrackInfo, !2932 (@jzhuo) [gitlab.cern.ch/lhcb/Rec/-/merge_requests/2932/diffs#8671]
- Added missing boost include in TrackCloneChecker, !2963 (@sponce)
- Update References for: LHCb!3530, LHCb!3586, Lbcom!610, Rec!2860, Rec!2913, Allen!879, Moore!1592 based on lhcb-master-mr/4746, !2961 (@lhcbsoft)
- Dropped getDet in Pr classes, and dropped some unused classes, !2956 (@sponce)
- Modernized MuonHitDecode, !2935 (@sponce)
- Adapted PrStoreUTHit geom cache to UTReadoutTool derived condition, !2913 (@clemenci)
- Charged hyperons as particles, !2875 (@mstahl)
- Make TrackFieldExtrapolatorBase and PrVeloUTMagnetTool get the magnetic field as a condition, !2860 (@clemenci)
- Add missing dependency on LHCbAlgsLib in PhoenixAlgs, !2957 (@clemenci)
- Add missing dependency in PhoenixAlgs, !2950 (@clemenci)
- Removed getDet and simplify PrepareMuonHits, !2946 (@bcouturi)
