2022-10-07 Rec v35r0
===

This version uses
Lbcom [v34r0](../../../../Lbcom/-/tags/v34r0),
LHCb [v54r0](../../../../LHCb/-/tags/v54r0),
Gaudi [v36r7](../../../../Gaudi/-/tags/v36r7),
Detector [v1r4](../../../../Detector/-/tags/v1r4) and
LCG [101](http://lcginfo.cern.ch/release/101/) with ROOT 6.24.06.

This version is released on `master` branch.
Built relative to Rec [v34r4](/../../tags/v34r4), with the following changes:

### New features ~"new feature"

- ~Tracking | Improve tracking debug tools, !3121 (@gunther)
- ~Tracking | Fit upstream tracks by PrKalmanFilter, !3068 (@ausachov)
- ~Tracking ~VP | First commit on sensor unbiasing in PR VP, !3043 (@ldufour)
- ~Tracking ~"Event model" | Changes for v3 Tracking sequence, !2765 (@decianm)
- ~FT ~Monitoring | Update SciFi monitoring, !3083 (@jheuel)
- ~Functors | Add functors for brem / charged calo info, !3024 (@alopezhu) [#343]
- ~Functors | New functor TRACK, updated QOVERP and TRACKHISTORY functors, !3081 (@amathad)
- ~"Event model" ~Tuples | New DecayFinder for Run 3, !3091 (@sabarre)


### Fixes ~"bug fix" ~workaround

- ~Tracking | Initialise covariance with hit errors in VeloKalman, !2612 (@ausachov) [#222,Allen#292]
- ~Functors | Avoid `-Wreturn-std-move` warning and improve efficiency of `ForwardArgs` functor, !3069 (@chasse)
- ~Build | Fix(functors) do not use dlopen with DEEPBIND if inside a sanitizer build, !3087 (@chasse) [#391]
- Disable failing conversion on DST with Run 2 LHCbIDs, !3143 (@rmatev)


### Enhancements ~enhancement

- ~Decoding ~VP | Filter out duplicate SP, !3103 (@ahennequ)
- ~FT ~Monitoring | FT: add station correlation plots and Gaudi property to skip hot channels, !3136 (@jheuel)
- ~FT ~Monitoring | Add tuple mode to FTTrackMonitor, !3080 (@shollitt)
- ~Calo | Check for negative energy-position, !3109 (@nuvallsc)
- ~Calo ~Monitoring | Use new histos in Calo monitoring, !3074 (@cmarinbe)
- ~Persistency | Don't clone ancestor tracks in track cloner, !3104 (@sesen)
- ~"Flavour tagging" | Use PV unbiasing and small cleanup of aliases, !3082 (@cprouve)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~Tracking | Small cleanup of TrackBestTrackCreator, !3123 (@sponce)
- ~Tracking | TrackMasterExtrapolator - avoid state clone when not needed, !3075 (@jonrob)
- ~FT ~Monitoring | Fix FT fine time alignment histograms, !3114 (@jheuel)
- ~Calo | Calo cleanup, !3035 (@sponce)
- ~RICH | Add x86_64_v3 dd4hep specific ref log for RICH Reco QM test, !3079 (@jonrob)
- ~"MC checking" | Rename TT to UT in MCTrackInfo (follow LHCb!3767), !3113 (@rmatev)
- ~Monitoring | Multithread safe PrHitsCheckers, !2710 (@valukash)
- ~Tuples | Add an exception in DecayTreeFit when constraint cannot be applied, !3133 (@pkoppenb) [#408]
- ~Tuples | Followup to !3091: Streamline new decay finder implementation, !3112 (@graven)
- ~Build | Add missing link library, !3134 (@rmatev)
- ~Build | Add missing link library, !3120 (@rmatev)
- DecayTreeFitterAlg modernised to support DD4HEP, !3127 (@pkoppenb)
- Remove default_ft_decoding_version, !3106 (@cburr)
- Simplify inputlocations in track v3 -> v1 converter, !3105 (@decianm)
- Reduce verbosity when starting application, !3102 (@sstahl)
- Follow LHCb!3754, !3099 (@rmatev)
- Move Phys/Particle2MCTruth and Phys/LoKiPhysMC out of Analysis to Rec, !3063 (@erodrigu)


### Other

- ~Decoding ~FT ~Monitoring | Fix FTMonitors QM test options for dd4hep, !3077 (@jonrob) [#390]
- ~Tracking | Tools for producing debugging/tuning data for Pattern Recognition algorithms, !3100 (@gunther)
- ~Tracking | Improve PrForwardTracking debugging experience, !3058 (@gunther)
- ~Tracking ~Muon | Fix magnet access in MuonMatchVeloUTSOA, !3072 (@decianm)
- ~Tracking ~Core | Avoid calling TransportService in TrackMasterExtrapolator with dd4hep, !3073 (@jonrob) [#326]
- ~VP ~Monitoring | Add information to VPTrackMonitor to study residuals, !3002 (@freiss)
- ~FT | Changed calculateChannelAndFrac to stop passing by reference the fraction, !3095 (@lohenry)
- ~Muon | MuonIDHltAlg - Add debug printout of derived cache parameters, !3142 (@jonrob)
- ~Muon | MuonIDHltAlg - Cannot cache memory address of dd4hep detector elements., !3141 (@jonrob)
- ~Muon | Fix DeMuonChamber access for dd4hep, !3131 (@jonrob)
- ~Muon | Fix MuonMeasurementProvider for DD4hep, !3070 (@raaij)
- ~Calo | Change 'Name' for Derived Conditions in CaloFuturePIDs, !3092 (@chenjia)
- ~Calo | Remove getDet in CaloFutureElectron, !3094 (@gwan) [#388]
- ~Calo ~Monitoring | Remove getDet in CaloFuture2DView, !3089 (@cmarinbe)
- ~Calo ~Monitoring | Separate calib BXIDs from digit monitoring, !3040 (@alobosal)
- ~Functors | InMuon ThOr functor, !2926 (@yingl)
- ~Functors | Add functors (nPVs, nTracks, nFTClusters) for reading RecSummary, !3033 (@amathad)
- ~"MC checking" ~Tuples | Thor functors for MCTrackInfo, !2979 (@jzhuo)
- ~Monitoring | Update of TrackMonitors and TrackSelector for alignment, !3110 (@wouter)
- Revert "Merge branch 'muon_measurements_dd4hep' into 'master'", !3130 (@jonrob)
- Update References for: LHCb!3770, Allen!982, Boole!414 based on lhcb-master-mr/5649, !3118 (@lhcbsoft)
- Followup from https://gitlab.cern.ch/lhcb/Rec/-/merge_requests/3091, !3116 (@amathad)
- Update References for: Rec!3083 based on lhcb-master-mr/5528, !3098 (@lhcbsoft)
- Add charged kaons to PrChecker strange category, !3042 (@gligorov)
- Update condition access for TrackMonitor and replace some MagFieldSvc by DeMagnet, !2985 (@wouter)
- Fix GenericParticle2PVRelator for DD4Hep, !3076 (@decianm)
- Centralize names helper, !3067 (@decianm)
- Remove usage of Run12 LHCbIDs, !2680 (@decianm)
- Fix typo in TrackMonitor.cpp that breaks LHCbPR dashboard entries, !3059 (@sklaver)
- Make the PrKalmanFilter a multi transformer, !3022 (@decianm)
