2024-08-22 Rec v36r12
===

This version uses
Lbcom [v35r12](../../../../Lbcom/-/tags/v35r12),
LHCb [v55r12](../../../../LHCb/-/tags/v55r12),
Detector [v1r35](../../../../Detector/-/tags/v1r35),
Gaudi [v38r1](../../../../Gaudi/-/tags/v38r1) and
LCG [105a](http://lcginfo.cern.ch/release/105a/) with ROOT 6.30.04.

This version is released on the `2024-patches` branch.
Built relative to Rec [v36r11](/../../tags/v36r11), with the following changes:

### New features ~"new feature"



### Fixes ~"bug fix" ~workaround

- ~Tracking | Remove redundant level of locking from error counters in Runge-Kutta extrapolator / only update statistics in debug mode, !4027 (@graven) [MooreOnline#84]
- ~Functors | Functors: avoid generating std::integral_constant when a plain int also works, !4029 (@graven)
- Include neutrals in overlap and uniqueness checks, !4023 (@mveghel)


### Enhancements ~enhancement

- Improve current functor implementation, !4009 (@graven)
- Allow helium3 candidates to be created, !3855 (@hjage)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- Prefer LHCb::ProtoParticle::Range over LHCb::ProtoParticles, !4004 (@graven)
- Do not overspecify namespaces and template argument, !4003 (@graven)


### Documentation ~Documentation


### Other

- ~Tracking | Updated selection from (weighted)relation table, improvements to algorithms for tracking efficiencies, !4019 (@ldufour)
- ~Tracking ~FT | Convert T tracks MVA filter to multiclass model, !3885 (@isanders)
- ~FT | Check SciFi channel x-ordering doesn't change when applying calibration, !4017 (@isanders)
- ~FT ~Monitoring | Add simplified SciFi LiteCluster Online Monitoring, !3524 (@hjage)
- ~Functors | Add UT track info functors, !3917 (@hjage)
- ~Monitoring | Updated TrackFitMatchMonitor.cpp, !3988 (@sblusk)
- ~Monitoring | Vertex compare modifications for PV resolution monitor, !3887 (@bokutsen)
- ~Luminosity | LumiSummary tupling for offline luminosity, !4022 (@efranzos)
- Update References for: LHCb!4632, DaVinci!1136 based on lhcb-2024-patches-mr/1298, !4044 (@lhcbsoft)
- Prefer MsgCounter over Warning(...) and Error(...), !4032 (@graven)
- Add decay-tree recombiner, generalise the LHCbIDOverlap functionality and general code refactoring, !3995 (@ldufour)
- Add track selection from protoparticle filter, !3980 (@mveghel)
- ParticleVertexFitter: Downgrade info message to debug, !4024 (@jonrob)
- Change input MDF for RICH 2022 decode test, !4015 (@jonrob)
- More restricted Functor::rtype, remove with_output_tree, adapt Monitor.h, !4013 (@graven)
- Adapt decay descriptor tests to new ion names, !3955 (@hjage)
- Use counters instead of warnings in DTF to avoid log spam, !3999 (@roneil)
- Add functors to get LHCbIDs and Nhits on VELO sides, !3981 (@freiss)
- Cleanup MC cloning and simplify MC cloning configuration, !3919 (@graven) [#561]
- Move copy algorithms from DaVinciFilters to LHCbAlgs, !3869 (@sesen)
