2024-05-08 Rec v36r8
===

This version uses
Lbcom [v35r8](../../../../Lbcom/-/tags/v35r8),
LHCb [v55r8](../../../../LHCb/-/tags/v55r8),
Detector [v1r32](../../../../Detector/-/tags/v1r32),
Gaudi [v38r1](../../../../Gaudi/-/tags/v38r1) and
LCG [105a](http://lcginfo.cern.ch/release/105a/) with ROOT 6.30.04.

This version is released on the `2024-patches` branch.
Built relative to Rec [v36r7](/../../tags/v36r7), with the following changes:

### New features ~"new feature"

- ~Functors | Add StateAt functor and fix CLOSTESTTOBEAM, !3829 (@gunther) [#392]
- ~PID | ProbNN models for 2024 (SIMD + with PyTorch training), !3664 (@mveghel)
- ~Functors | Read SMOG condition via functors, !3658 (@samarian)


### Fixes ~"bug fix" ~workaround

- ~Tracking ~Monitoring | Fix FTTrackMonitor using mixture of PrFitResult and FitResult, !3845 (@mveghel)
- ~"PV finding" | Fix beamSpotRcut in PatPV, !3870 (@nbehling)
- ~Jets | JetAccessories: avoid cloning and double ownership (and thus double delete) of Particles, !3834 (@graven)
- ~Functors | Fix the bug in DTF functors, !3911 (@jzhuo)
- ~Monitoring | Fix FTTrackMonitor profile histogram filling, !3906 (@zexu)
- ~Monitoring | Fix some PLUME HLT2 monitoring histograms, !3901 (@fferrari)


### Enhancements ~enhancement

- ~Tracking | Add optional seeding layer skip to default velo algorithm, !3895 (@ahennequ)
- ~RICH | Relax likelihood iteration limits in RichSIMDGlobalPIDLikelihoodMinimiser, !3897 (@jonrob) [#559]
- Add IP vs momentum to TrackVertexMonitor., !3848 (@ncooke)
- ~UT ~Monitoring | Add histograms to monitor correlation between UT and other trackers and ECAL, !3858 (@tmombach)
- ~Conditions | Improvements to BeamSpotMonitor, !3840 (@spradlin)
- ParticleCombiner: limit the total number of particle combinations, !3894 (@gunther) [#558]
- Add deuterons to the particle maker, !3839 (@hjage)
- Add extra math operations on functors (abs, sqrt, where, power, arccos and exp), !3550 (@amathad)
- Add calo CellID functors, !3892 (@mveghel)
- Update UTGeomCache to handle subsector bit, !3880 (@hawu)
- Improvements for KsEfficiencyPlotter, !3861 (@sstahl)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~VP | Make VP A and C side explicit with an enum struct, !3877 (@tmombach)
- ~Monitoring | Initialise TrackVertexer together with calling algorithm, !3893 (@gunther) [#557]
- ~Monitoring | Fix duplicated histogram names, !3884 (@rmatev)
- AdjustAngle: avoid unnecessary floating point division and multiplication, !3843 (@graven)
- ParticleContainerMerger: Prefer Partlcle::Selection over cloning Particles into a KeyedContainer, !3881 (@graven)


### Other

- Update References for: Rec!3901 based on lhcb-2024-patches-mr/369, !3909 (@lhcbsoft)
