2024-12-14 Rec v37p0
===

This version uses
Lbcom [v36p1](../../../../Lbcom/-/tags/v36p1),
LHCb [v56r1](../../../../LHCb/-/tags/v56r1),
Detector [v2r1](../../../../Detector/-/tags/v2r1),
Gaudi [v39r1](../../../../Gaudi/-/tags/v39r1) and
LCG [105c](http://lcginfo.cern.ch/release/105c/) .

This version is released on the `master` branch.
Built relative to Rec [v36r6](/../../tags/v36r6), with the following changes:

### New features ~"new feature"

- ~Functors | Improve compiler error diagnostic when functor compilation fails, !4190 (@graven)
- Add FROM functor to return the From side of a relation, !4125 (@graven)


### Fixes ~"bug fix" ~workaround

- Bugfix: add bremsstrahlung back to electrons when using decay-tree refitting, !4144 (@ldufour)


### Enhancements ~enhancement

- ~Tracking ~Monitoring | VPTrackMonitor: Use Gaudi HistogramArray, !4135 (@jonrob)
- Use essentiallyZero also for SIMD types, !3968 (@gunther)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~Tracking | TrackStateVertex: General cleanup, squashes unintialized variable build warning, !4136 (@jonrob)
- ~RICH | Add ARM specific refs for RichFutureRecSys reco tests, !4193 (@jonrob)
- ~RICH | Migrate RICH from RadiatorArray to DetectorArray, !4106 (@jonrob)
- ~RICH | Update RICH monitors and checkers to new histogram implementations, !4083 (@jonrob)
- ~RICH | Migrate RICH to Gaudi/Parsers/Factory.h include, !4080 (@jonrob)
- ~Build | Fix compilation of preprocessed header for functors, !4166 (@rmatev) [gitlab.cern.ch/rmatev/lb-stack-setup/-/commit/0f38799394da1649b782cf6091ca85f1341824f1?merge_request_iid=99#3]
- RichRecTests: Add ARM Neon builds of test applications, !4164 (@jonrob)
- Use Algorithm::Traits::usesCondition rather than deprecated DetDesc::usesCondition, !4162 (@sponce)
- Final drop of LHCbApp usage in Rec + RecConf drop, !4159 (@sponce)
- TrackStateVertex: Prefer using statements to typedefs, !4158 (@jonrob)
- Avoid spurious testing of test_bit functor with new testing framework, !4132 (@cattanem)
- Fix usage of obsolete interfaces, !4118 (@cattanem)


### Documentation ~Documentation


### Other

- ~RICH ~Monitoring | Rich U2 studies update, !3774 (@jonrob)
- ~Functors | Use only children momentum to recalculate MASSWITHHYPOTHESES, !4149 (@fbetti)
- ~Functors | Various improvement of Functor framework implementation, !4071 (@graven)
- Fixed Rec reference files by creating opt+g version for some tests, !4179 (@sponce)
- Update References for: LHCb!4676, Rec!4083, Panoptes!389 based on lhcb-master-mr/12038, !4177 (@lhcbsoft)
- Manual ref update based on lhcb-master 2521, !4174 (@msaur)
- Removed usage of GaudiHistoAlg in classes where it was actually no more used, !4168 (@sponce)
- Fixed ref update for the move to Gaudi v39r1, !4173 (@sponce)
- FunctorCore test_pyconf.py: Delay LHCb stack imports to when tests are actually run, !4172 (@jonrob)
- Ref update for the move to Gaudi v39r1, !4170 (@sponce)
- Update References for: Rec!4159 based on lhcb-master-mr/11954, !4163 (@lhcbsoft)
- Use StaticHistogram in monitoring code as it reimplements the layer already present in Gaudi v39, !4142 (@sponce)
- Prepare for drop of QMTest support in Gaudi, !4121 (@clemenci) [gaudi/Gaudi#333]
- Better pre-commit hook for finding input files, not targetting fillingscheme ones, !4156 (@sponce)
- Add a track-list refiner that splits tracks based on MC cuts (and ghost/non-ghost), !4138 (@ldufour)
- Synchronize master branch with 2024-patches, !4137 (@clemenci) [#563]
- Added a check that inputs files don't use directly eos (they should use TestFileDB), !4127 (@sponce)
- Improve tree functor implementation and implement more rigorous testing, !4115 (@graven)
- Rewrite FT software conventions, !4020 (@lohenry)
- Update References for: Detector!640, LHCb!4751, Lbcom!766, Rec!4127 based on lhcb-master-mr/11834, !4143 (@lhcbsoft)
- Synchronize master branch with 2024-patches, !4117 (@clemenci)
- Moved FTMonitors tests to Pyconf, !4110 (@sponce)
- Update References for: LHCb!4710 based on lhcb-master-mr/11758, !4105 (@lhcbsoft)
- Postpone import of DaVinciTools to test execution, !4094 (@clemenci)
- Synchronize master branch with 2024-patches, !4084 (@clemenci)
- Increment multiplicity counter in ParticleCombiner only if composite cut passed, !3832 (@mstahl)
- Add missing dependency link, !4103 (@clemenci)
- Force use of BoostConfig.cmake as requested by CMake 3.30, !4101 (@clemenci)
- Prepare for Gaudi v39 by replacing usage of deprecated headers, !4086 (@sponce)
- Use LHCbalgs rather than GaudiAlg directly, !4069 (@sponce)
- Synchronize master branch with 2024-patches, !4021 (@clemenci)
- Synchronize master branch with 2024-patches, !4016 (@clemenci)
- Fix compatibility with fmtlib 10.2, !3976 (@clemenci)
- Add missing dependency and links for super-project build, !3970 (@clemenci)
- Synchronize master branch with 2024-patches, !3967 (@clemenci)
- Use pre-commit for formatting, !3957 (@clemenci)
- Synchronize master branch with 2024-patches, !3943 (@clemenci)
- Update References for: Rec!3774, Moore!3036 based on lhcb-master-mr/11522, !3904 (@lhcbsoft)
- Synchronize master branch with 2024-patches, !3896 (@clemenci)
- Update References for: LHCb!4540, Allen!1592 based on lhcb-master-mr/11501, !3890 (@lhcbsoft)
- Synchronize master branch with 2024-patches, !3889 (@clemenci)
- Update References for: LHCb!2993, Rec!2735, Allen!1370, Moore!927, Alignment!439, MooreOnline!325, Panoptes!304, DaVinci!1002, LHCbIntegrationTests!67 based on lhcb-master-mr/11500, !3888 (@lhcbsoft)
- Switch to using IOAlg, !2735 (@sponce)
- Added UT Hit dumper for event display, !3851 (@sponce)
